# Chart-internes Persistence deaktivieren (nicht ganzes Webroot mounten)
persistence:
  enabled: false

# Nextcloud Config
nextcloud:
  host: 192.168.178.138
  username: admin
  password: admin
  datadir: /data
  trustedDomains:
    - 192.168.178.138
    - nextcloud.lan
    - knode0

  # PodSecurityContext wichtig für NFS (www-data ist UID/GID 33)
  podSecurityContext:
    fsGroup: 33

# Extra Volume nur für /data mounten
extraVolumes:
  - name: nextcloud-data
    persistentVolumeClaim:
      claimName: nextcloud-data-pvc

extraVolumeMounts:
  - name: nextcloud-data
    mountPath: /data

# MariaDB intern
internalDatabase:
  enabled: false

mariadb:
  enabled: true
  architecture: standalone
  auth:
    database: nextcloud
    username: nextcloud
    password: nextcloud
    rootPassword: "123456"
  primary:
    persistence:
      enabled: true
      storageClass: local-path
      size: 10Gi

# Redis
redis:
  enabled: true
  auth:
    enabled: true
    password: redis
  master:
    persistence:
      enabled: true
      storageClass: local-path
      size: 1Gi